Commit da2d2e19 authored by Alexandre Duret-Lutz's avatar Alexandre Duret-Lutz
Browse files

* src/sanity/80columns.test: Check the iface/ tree too.

* iface/gspn/dcswaveltl.test, iface/gspn/dcswavefm.test,
iface/gspn/dcswaveeltl.test, iface/gspn/udcsltl.test,
iface/gspn/udcseltl.test, iface/gspn/udcsfm.test,
iface/gspn/udcsefm.test: Wrap to fit 80 columns.
parent 9329ea17
2004-05-21 Alexandre Duret-Lutz <adl@src.lip6.fr>
* src/sanity/80columns.test: Check the iface/ tree too.
* iface/gspn/dcswaveltl.test, iface/gspn/dcswavefm.test,
iface/gspn/dcswaveeltl.test, iface/gspn/udcsltl.test,
iface/gspn/udcseltl.test, iface/gspn/udcsfm.test,
iface/gspn/udcsefm.test: Wrap to fit 80 columns.
2004-05-18 Alexandre Duret-Lutz <adl@src.lip6.fr>
* doc/Makefile.am (EXTRA_DIST, spot.html): Built the html
......
......@@ -2,14 +2,21 @@
. ./defs || exit 1
set -e
cp -R $srcdir/examples/DCSwave .
chmod +w DCSwave
# G(ATTiIDLj => F(!SCj U SCi)) is true
../ltlgspn-srg -c -l -e DCSwave/DCSWave '!G(ATTiIDLj => F(!SCj U SCi))' ATTiIDLj SCi SCj > output || exit 1
../ltlgspn-srg -c -f -e2 DCSwave/DCSWave '!G(ATTiIDLj => F(!SCj U SCi))' ATTiIDLj SCi SCj > output || exit 1
../ltlgspn-srg -c -l -e DCSwave/DCSWave \
'!G(ATTiIDLj => F(!SCj U SCi))' ATTiIDLj SCi SCj >output
../ltlgspn-srg -c -f -e2 DCSwave/DCSWave \
'!G(ATTiIDLj => F(!SCj U SCi))' ATTiIDLj SCi SCj >output
# G(F(!SCj U SCi)) is false
../ltlgspn-srg -c -l -e DCSwave/DCSWave '!G(F(!SCj U SCi))' ATTiIDLj SCi SCj >output
../ltlgspn-srg -c -f -e2 DCSwave/DCSWave '!G(F(!SCj U SCi))' ATTiIDLj SCi SCj >output
test $? = 1 || exit 1
../ltlgspn-srg -c -l -e DCSwave/DCSWave \
'!G(F(!SCj U SCi))' ATTiIDLj SCi SCj >output && exit 1
../ltlgspn-srg -c -f -e2 DCSwave/DCSWave \
'!G(F(!SCj U SCi))' ATTiIDLj SCi SCj >output && exit 1
:
......@@ -2,12 +2,17 @@
. ./defs || exit 1
set -e
cp -R $srcdir/examples/DCSwave .
chmod +w DCSwave
# G(ATTiIDLj => F(!SCj U SCi)) is true
../ltlgspn-srg -c -f -m DCSwave/DCSWave '!G(ATTiIDLj => F(!SCj U SCi))' ATTiIDLj SCi SCj > output || exit 1
../ltlgspn-srg -c -f -m DCSwave/DCSWave \
'!G(ATTiIDLj => F(!SCj U SCi))' ATTiIDLj SCi SCj >output
# G(F(!SCj U SCi)) is false
../ltlgspn-srg -c -f -m DCSwave/DCSWave '!G(F(!SCj U SCi))' ATTiIDLj SCi SCj > output
test $? = 1 || exit 1
../ltlgspn-srg -c -f -m DCSwave/DCSWave \
'!G(F(!SCj U SCi))' ATTiIDLj SCi SCj >output && exit 1
:
......@@ -2,12 +2,17 @@
. ./defs || exit 1
set -e
cp -R $srcdir/examples/DCSwave .
chmod +w DCSwave
# G(ATTiIDLj => F(!SCj U SCi)) is true
../ltlgspn-srg -c -l -m DCSwave/DCSWave '!G(ATTiIDLj => F(!SCj U SCi))' ATTiIDLj SCi SCj > output || exit 1
../ltlgspn-srg -c -l -m DCSwave/DCSWave \
'!G(ATTiIDLj => F(!SCj U SCi))' ATTiIDLj SCi SCj >output
# G(F(!SCj U SCi)) is false
../ltlgspn-srg -c -l -m DCSwave/DCSWave '!G(F(!SCj U SCi))' ATTiIDLj SCi SCj > output
test $? = 1 || exit 1
../ltlgspn-srg -c -l -m DCSwave/DCSWave \
'!G(F(!SCj U SCi))' ATTiIDLj SCi SCj >output && exit 1
:
......@@ -2,21 +2,25 @@
. ./defs || exit 1
set -e
cp -R $srcdir/examples/udcs .
chmod +w udcs
# F(ReP1 => F(gsP1)) is false
../ltlgspn-srg -c -f -e udcs/udcs 'F(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -f -e2 udcs/udcs 'F(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -f -e udcs/udcs \
'F(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
../ltlgspn-srg -c -f -e2 udcs/udcs \
'F(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
# !F(ReP1 => F(gsP1)) is true
../ltlgspn-srg -c -f -e udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 > output || exit 1
../ltlgspn-srg -c -f -e2 udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 > output || exit 1
../ltlgspn-srg -c -f -e udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 >output
../ltlgspn-srg -c -f -e2 udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 >output
# !G(ReP1 => F(gsP1)) is false
../ltlgspn-srg -c -f -e udcs/udcs '!G(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -f -e2 udcs/udcs '!G(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -f -e udcs/udcs \
'!G(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
../ltlgspn-srg -c -f -e2 udcs/udcs \
'!G(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
:
......@@ -2,21 +2,25 @@
. ./defs || exit 1
set -e
cp -R $srcdir/examples/udcs .
chmod +w udcs
# F(ReP1 => F(gsP1)) is false
../ltlgspn-srg -c -l -e udcs/udcs 'F(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -l -e2 udcs/udcs 'F(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -l -e udcs/udcs \
'F(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
../ltlgspn-srg -c -l -e2 udcs/udcs \
'F(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
# !F(ReP1 => F(gsP1)) is true
../ltlgspn-srg -c -l -e udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 > output || exit 1
../ltlgspn-srg -c -l -e2 udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 > output || exit 1
../ltlgspn-srg -c -l -e udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 >output
../ltlgspn-srg -c -l -e2 udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 >output
# !G(ReP1 => F(gsP1)) is false
../ltlgspn-srg -c -l -e udcs/udcs '!G(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -l -e2 udcs/udcs '!G(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -l -e udcs/udcs \
'!G(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
../ltlgspn-srg -c -l -e2 udcs/udcs \
'!G(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
:
......@@ -2,16 +2,20 @@
. ./defs || exit 1
set -e
cp -R $srcdir/examples/udcs .
chmod +w udcs
# F(ReP1 => F(gsP1)) is false
../ltlgspn-srg -c -f -m udcs/udcs 'F(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -f -m udcs/udcs \
'F(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
# !F(ReP1 => F(gsP1)) is true
../ltlgspn-srg -c -f -m udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 > output || exit 1
../ltlgspn-srg -c -f -m udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 >output
# !G(ReP1 => F(gsP1)) is false
../ltlgspn-srg -c -f -m udcs/udcs '!G(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -f -m udcs/udcs \
'!G(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
:
......@@ -2,16 +2,20 @@
. ./defs || exit 1
set -e
cp -R $srcdir/examples/udcs .
chmod +w udcs
# F(ReP1 => F(gsP1)) is false
../ltlgspn-srg -c -l -m udcs/udcs 'F(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -l -m udcs/udcs \
'F(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
# !F(ReP1 => F(gsP1)) is true
../ltlgspn-srg -c -l -m udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 > output || exit 1
../ltlgspn-srg -c -l -m udcs/udcs '!F(ReP1 => F(gsP1))' ReP1 gsP1 >output
# !G(ReP1 => F(gsP1)) is false
../ltlgspn-srg -c -l -m udcs/udcs '!G(ReP1 => F(gsP1))' ReP1 gsP1 > output
test $? = 1 || exit 1
../ltlgspn-srg -c -l -m udcs/udcs \
'!G(ReP1 => F(gsP1))' ReP1 gsP1 >output && exit 1
:
......@@ -6,18 +6,21 @@ set -e
rm -f failures
find "${INCDIR-..}" \( -name "${1-*}.hh" -o -name "${1-*}.cc" \
-o -name "${1-*}.test" \) -a -type f -a -print |
while read file; do
x='.........................................'
if grep -q $x$x "$file"; then
if grep 'GNU Bison' "$file" >/dev/null ||
grep 'generated by flex' "$file" >/dev/null ; then
:
else
echo "$file" >>failures
fi
fi
for dir in "${INCDIR-..}" "${INCDIR-..}"/../iface; do
find "$dir" \( -name "${1-*}.hh" -o -name "${1-*}.cc" \
-o -name "${1-*}.test" \) -a -type f -a -print |
while read file; do
x='.........................................'
if grep -q $x$x "$file"; then
if grep 'GNU Bison' "$file" >/dev/null ||
grep 'generated by flex' "$file" >/dev/null ; then
:
else
echo "$file" >>failures
fi
fi
done
done
if test -f failures; then
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment